# Transformation Tools #

Data transformation tools for the application of privacy-preservation data mining techniques on process mining logs.

### Supported Techniques ###

* Suppression
* Generalisation

### Valid Inputs ###

* CSV file

### General Method ###

1. Create 'Log' object by passing through the name of the CSV log file as a parameter.
2. Call the appropriate anonymisation method.

### Examples ###

#### Suppression - single attribute ####

suppress(log, attribute, k);

Output: <filename> - Suppression - <k>.csv

#### Suppression - single attribute ####

suppress(log, attribute, k);

Output: <filename> - Suppression - <k>.csv


#### Suppression - multiple attributes ####

Suppress observations by considering multiple attributes.
Variables first and last are indexes (0-based).
Considers all attributes from index first to index last.

suppress(log, first, last, k);

Output: <filename> - Suppression - <k>.csv

#### Generalise - timestamps ####

Time attribute must be in format dd/MM/yyyy HH:mm:ss AM/PM
Variable attribute is the name of the time attribute.
Variable time_granularity takes arguments HOUR/DAY/MONTH/YEAR.

generalise(log, attribute_time, time);

Output: <filename> - Generalisation - <time>.csv

#### Generalise - timestamps by activity ####

Generalise timestamps associated with specific activities.

Variable activities is an array of activities which you want to generalise for.

generalise(log, attribute_time, time, attribute_activity, activity_list);

Output: <filename> - Generalisation - <time>.csv

#### Generalise - single value ####

Replace a specific value with another.

generalise(log, attribute, input, value);

Output: <filename> - Generalisation - [<input>].csv

#### Generalise - multiple values ####

Replace multiple specific values with the same value.

generalise(log, attribute, activity_list, value);








